# Developing Electron

These guides are intended for people working on the Electron project itself.
For guides on Electron app development, see
[/docs/README.md](../README.md#guides-and-tutorials).

* [Code of Conduct](../../CODE_OF_CONDUCT.md)
* [Contributing to Electron](../../CONTRIBUTING.md)
* [Issues](issues.md)
* [Pull Requests](pull-requests.md)
* [Documentation Styleguide](coding-style.md#documentation)
* [Source Code Directory Structure](source-code-directory-structure.md)
* [Coding Style](coding-style.md)
* [Using clang-format on C++ Code](clang-format.md)
* [Build System Overview](build-system-overview.md)
* [Build Instructions (macOS)](build-instructions-osx.md)
* [Build Instructions (Windows)](build-instructions-windows.md)
* [Build Instructions (Linux)](build-instructions-linux.md)
* [Chromium Development](chromium-development.md)
* [V8 Development](v8-development.md)
* [Testing](testing.md)
* [Debugging on Windows](debug-instructions-windows.md)
* [Debugging on macOS](debugging-instructions-macos.md)
* [Setting Up Symbol Server in Debugger](setting-up-symbol-server.md)
* [Upgrading Chromium](upgrading-chromium.md)
* [Upgrading Crashpad](upgrading-crashpad.md)
* [Upgrading Node](upgrading-node.md)
* [Releasing](releasing.md)
