# Desktop Environment Integration

Different operating systems provide different features for integrating desktop
applications into their desktop environments. For example, on Windows,
applications can put shortcuts in the JumpList of task bar, and on Mac,
applications can put a custom menu in the dock menu.

This guide explains how to integrate your application into those desktop
environments with Electron APIs.

## Notifications

See the [Notifications documentation](notifications.md).

## Recent Documents

See [Recent Documents documentation](recent-documents.md).

## Progress Bar

See the [Progress Bar documentation](progress-bar.md).

## Unity Launcher

See the [Unity Launcher documentation][unity-launcher].

## Represented File for macOS Window

See the [Represented File documentation](represented-file.md).

## Dragging files out of the window

See the [Native File Drag & Drop documentation](native-file-drag-drop.md).

[unity-launcher]: https://help.ubuntu.com/community/UnityLaunchersAndDesktopFiles#Adding_shortcuts_to_a_launcher
